#
# spec file for package xhtml-dtd (Version 2001.5.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  sgml-skel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgml-skel sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         xhtml-dtd
Summary:      HTML DTDs (Document Type Definitions) + Docs
Version:      2001.5.31
Release:      1
Group: Applications/Publishing
BuildArchitectures: noarch
Requires: sgml-skel
#Provides: 
Copyright: X11/MIT
URL: http://www.w3.org/MarkUp/
Source0: http://www.w3.org/Consortium/Legal/copyright-software.html
Source1: http://www.w3.org/TR/xhtml1/xhtml1.tgz
Source2: http://www.w3.org/TR/2001/REC-xhtml11-20010531/xhtml11.tgz
Source3: http://www.w3.org/TR/2000/REC-xhtml-basic-20001219/xhtml-basic.tgz
Source4: http://www.w3.org/TR/2001/REC-xhtml-modularization-20010410/xhtml-modularization.tgz
#Patch: 
BuildRoot: %{_tmppath}/%{name}-root

%description
Document Type Definitions (DTDs) for HTML 2.0 (standard), HTML 3.2
(recommendation of the W3 Consortium), HTML 4.0 (Specification of the
W3 Consortium, Draft) and ISO-HTML (draft).  The package
also contains the documentations (v. /usr/share/doc/packages/xhtml-dtd).

SuSE series: sgm

%define sgml_dir %{_datadir}/sgml
%define sgml_var_dir /var/lib/sgml
%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -c -T
# %patch
# $RPM_SOURCE_DIR/copyright-software.html
cp -p %{SOURCE0} .
%setup -q -D -T -a1 -a2 -a3 -a4

%build
pushd xhtml1/DTD
  grep Strict xhtml.soc | sed -e 's: Strict::' > fragment.cat
  sed -e '3r fragment.cat' xhtml.soc > xhtml.tmp
  sed -e 's:\ \"\([-a-zA-Z0-9]*\.\(ent\|dtd\|dcl\)\)\"$: \"%{sgml_dir}/xhtml/xhtml-1.0/DTD/\1\":g' \
      xhtml.tmp > CATALOG.xhtml-1
popd

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-1.0 \
               $RPM_BUILD_ROOT%{sgml_var_dir}
cp -a xhtml1/* $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-1.0
%{INSTALL_DATA} xhtml1/DTD/CATALOG.xhtml-1 \
                $RPM_BUILD_ROOT%{sgml_var_dir}/CATALOG.xhtml-1
rm -f $RPM_BUILD_ROOT%{sgml_dir}/xhtml1/DTD/CATALOG.xhtml-1
pushd $RPM_BUILD_ROOT%{sgml_dir}
  ln -sf ../../../var/lib/sgml/CATALOG.xhtml-1 CATALOG.xhtml-1
popd
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
                    -f xhtml1-strict.dtd \
                    -i '-//W3C//DTD XHTML 1.0 Strict//EN'
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
  -f xhtml1-transitional.dtd -i '-//W3C//DTD XHTML 1.0 Transitional//EN'
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
  -f xhtml1-frameset.dtd -i '-//W3C//DTD XHTML 1.0 Frameset//EN'
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
  -f xhtml-lat1.ent -i '-//W3C//ENTITIES Latin 1 for XHTML//EN'
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
  -f xhtml-symbol.ent -i '-//W3C//ENTITIES Symbols for XHTML//EN'
install-dtd.sh -p xhtml/xhtml-1.0/DTD -s $RPM_BUILD_ROOT%{sgml_dir} \
  -f xhtml-special.ent  -i '-//W3C//ENTITIES Special for XHTML//EN'
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-1.1
cp -a xhtml11*/* $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-1.1
rm -f $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-1.1/*.ps
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-modularization
cp -a xhtml-modularization/* $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-modularization
rm -f $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-modularization/*.ps
%{INSTALL_DIR} $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-basic
cp -a REC-xhtml-basic-20001219/* $RPM_BUILD_ROOT%{sgml_dir}/xhtml/xhtml-basic

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc copyright-software.html
%config %{sgml_var_dir}/CATALOG.xhtml-1
%{sgml_dir}/xhtml
%{sgml_dir}/W3C/*/*
# spec file ends here

%changelog -n xhtml-dtd
* Mon Aug 27 2001 - ke@suse.de
- Update xhtml-modularization and xhtml11.
- Cleanup spec file.
- Add sgml-skel to 'neededforbuild'.
* Mon Mar 19 2001 - ke@suse.de
- Add install-dtd.sh.
- Provide convenience links for DTDs and Entities using install-dtd.sh.
- Move all the data from /usr/share/sgml/xhtml-1.0 into
  /usr/share/sgml/xhtml/xhtml-1.0.
* Wed Mar 14 2001 - ke@suse.de
- New package (partly take over from html_dtd).
